net.corda.core.utilities

## Class ProgressTracker.RelabelableStep

- net.corda.core.utilities.ProgressTracker.Step
- - net.corda.core.utilities.ProgressTracker.RelabelableStep

- Enclosing class:
    ProgressTracker

      public class ProgressTracker.RelabelableStep
      extends ProgressTracker.Step

  This class makes it easier to relabel a step on the fly, to provide transient information.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RelabelableStep(java.lang.String $outer)` This class makes it easier to relabel a step on the fly, to provide transient information.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `rx.subjects.BehaviorSubject<net.corda.core.utilities.ProgressTracker.Change>` | `getChanges()`
    `java.lang.String` | `getCurrentLabel()`
    `java.lang.String` | `getLabel()`
    `void` | `setCurrentLabel(java.lang.String value)`

    - ### Methods inherited from class net.corda.core.utilities.ProgressTracker.Step

      `childProgressTracker, getChanges, getLabel`

- - ### Constructor Detail

    - #### RelabelableStep

          public RelabelableStep(java.lang.String $outer)

      This class makes it easier to relabel a step on the fly, to provide transient information.

  - ### Method Detail

    - #### getChanges

          public rx.subjects.BehaviorSubject<net.corda.core.utilities.ProgressTracker.Change> getChanges()

    - #### getCurrentLabel

          public java.lang.String getCurrentLabel()

    - #### setCurrentLabel

          public void setCurrentLabel(java.lang.String value)

    - #### getLabel

          public java.lang.String getLabel()